# AMM Management

### Get pool detail

```typescript
    const poolManager = new AmmPoolManager('mainnet');

    const params = {
      coinX: new Coin('0x2::sui::SUI'),
      coinY: new Coin(
        '0x5d4b302506645c37ff133b98c4b50a5ae14841659738d6d733d59d0d217a93bf::coin::COIN'
      ),
    };
    const pool = await poolManager.getPool(params);

```

### Get multiple pool

```typescript
  const poolManager = new AmmPoolManager('mainnet');

    const params = [
      {
        coinX: new Coin('0x2::sui::SUI'),
        coinY: new Coin(
          '0x5d4b302506645c37ff133b98c4b50a5ae14841659738d6d733d59d0d217a93bf::coin::COIN'
        ),
      },
      {
        coinX: new Coin(
          '0xd0e89b2af5e4910726fbcd8b8dd37bb79b29e5f83f7491bca830e94f7f226d29::eth::ETH'
        ),
        coinY: new Coin(
          '0xdba34672e30cb065b1f93e3ab55318768fd6fef66c15942c9f7cb846e2f900e7::usdc::USDC'
        ),
      },
      {
        coinX: new Coin(
          '0x5d4b302506645c37ff133b98c4b50a5ae14841659738d6d733d59d0d217a93bf::coin::COIN'
        ),
        coinY: new Coin(
          '0xc060006111016b8a020ad5b33834984a437aaa7d3c74c18e09a95d48aceab08c::coin::COIN'
        ),
      },
    ];

    const pools = await poolManager.multiGetPools(params);

```

### Get all pools

```typescript
 const poolManager = new AmmPoolManager('mainnet');
 const pools = await poolManager.getPools();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowx.finance/developer/flowx-sdk/amm-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
